# Tachi Rules

To ensure that the score tracker stays accurate,
and everyone has a nice time, Tachi enforces some
rules.

## R1: Be civil.

In various places in Tachi you may write things, such
as comments on your scores, or a profile about me.

Be civil. That means no Homophobia, Racism, and anything
else under that umbrella. Use your common sense to determine
whether something is nice or not.

This rule also applies to the discord. Please do not insult
other members of the community or make personal attacks.

The punishment for this ranges from warnings to permanent bans, depending on the severity.

Generally, just be a nice person. Please!

## R2: You **MUST NOT** deliberately fake score submissions to Tachi.

The punishment for this is an instant, permanent
IP ban.

Accidentally making a mistake in score submission (somehow)
that results in invalid scores ending up on your profile
is OK, but if they repeatedly happen in your favour, you
may be warned.

!!! warning
	Cheating on Tachi is very easy. With a basic
	amount of programming knowledge you could fake
	scores.

	There is no anti-cheat in this regard, and this
	is deliberately so.

	As such, this rule is enforced **incredibly** strictly.

	You do not get a second chance. If you fake scores, you
	revoke all access to the tracker.

## R3: You **MUST NOT** play on invalid input devices.

Games on Tachi have specific requirements for what kind of
setups are 'legitimate'. That means that you **MUST NOT**
submit scores on input devices that aren't fair for
that game, such as playing pop'n on a keyboard.

This is to keep everyone on a level playing field.

The valid input devices are listed below.

### Kamaitachi

| Game | Devices | Justifications |
| :: | :: | :: |
| beatmania IIDX | Any Beatmania Controller or Cabinet | Keyboard is not marked as legitimate for beatmania IIDX play (such as on INFINITAS). |
| MÚSECA | Cabinet | |
| maimai | Cabinet | |
| jubeat | Cabinet & Any AC-Size Controller | |
| pop'n music | Any AC-Size Pop'n Controller or Cabinet | Keyboard is not allowed, and neither is smaller-sized pop'n controllers, as they give significant advantages (such as on lively) |
| SOUND VOLTEX | Any AC-Size SDVX Controller Or Cabinet | Keyboard is not allowed, as it is significantly different from controller play. Pocket Voltexes are not allowed either, as they are similarly different. |
| DDR | Any *reasonable* Pad | There are lots of DDR pads, as long as it has four panels and you have to step on it, it's probably fine. Keyboard play is not allowed for obvious reasons. |
| GITADORA (Dora) | Any *reasonable* Drum Kit | There are lots of drum kits. Use common-sense. Keyboard play is not allowed for obvious reasons. |
| GITADORA (Gita) | Any *reasonable* Guitar | That just means no keyboard play, really.[^1] |
| CHUNITHM | Cabinet, Any AC-Size Controller | Keyboard play is not allowed, etc. |

### Bokutachi

| Game | Devices | Justifications |
| :: | :: | :: |
| unnamed_sdvx_clone (Controller) | Any Arcade Size Controller | The controller leaderboards are **exclusively** for Arcade **SIZE** controllers. **POCKET VOLTEXES DO NOT COUNT AS ARCADE SIZE CONTROLLERS.** |
| unnamed_sdvx_clone (Keyboard) | Keyboard | The keyboard leaderboards are **exclusively** for keyboard players. You must not play on these leaderboards with a controller! |
| BMS (7K) | Keyboard, any IIDX Controller | Keyboard play is allowed for BMS 7K. |
| BMS (14K) | any two IIDX Controllers | Keyboard play is **NOT** allowed for BMS 14K, due to some ridiculous advantages. |

!!! info
	As always though, exercise some common sense. I'm not going to whitelist controllers on here, because that's asking for trouble. Use your head as for whether something is fair or not, and if you're not certain still, ask in the discord.

## R4: Do not harm other people in the community.

This rule is depressing to write, but it has to be said.

This rule exists to make sure that the Tachi community is
filled with good people, and that bad actors do not have
a platform to be legitimised further. Unlike the civility
rule, This rule covers interactions **outside of Tachi**,
which includes, **but is not limited to**:

- Assault of other community members (Physical, Sexual etc.).
- Relationships with minors (When the offender is an adult of unreasonable age).

!!! info
	This is generally disgusting to write, but there are
	a lot of predators in this community (especially
	concerning with a community that has a lot of children.)

	If you are a predator, Tachi has an absolutely
	zero-tolerance policy on this. Your data **WILL** be forwarded to the local authorities, and you **WILL**
	immediately lose all access to your account.

	If you are uncomfortable with someone in the community
	for the above reasons, you may let
	any member of staff know, and it will be dealt with
	appropriately.

!!! note
	This rule does not mean you will be banned for:

	- Political viewpoints (While the rule of 'Be Civil' still applies, you
	wont be banned for having edgy political opinions
	or anything similar - even if they are completely
	stupid.)
	- Not liking another community member.

## R5: You are only allowed one account.

Do not make multiple accounts, we track account IPs and it
lets us know. This is to keep the leaderboards fair
and avoid one player from taking up multiple spaces.

## R6: Do not set NSFW artwork as your avatar or banner.

Tachi does not allow you to set suggestive or NSFW
artwork as your avatar or banner. Your avatar will be
deleted and you will be warned.

Don't try and push this rule either. If you wouldn't
show it to your mother, it doesn't belong here.

!!! info
	This includes anything illegal under EU law.

	Uploading illegal (under international common or EU law)
	material will result in an immediate permanent ban.

!!! warning
	This rule **especially** applies to loli or shota stuff.

	I don't want to see that garbage, don't upload it, you'll get in trouble.

## R7: Use Common Sense.

This list of rules isn't exhaustive, and staff reserve the
right to ban you at any time for any reason. You should use
common sense.

Finding loopholes in the above rules, or not-explicitly
excluded things does not mean that you can do it.

For example, the previous rule did not explicitly exclude
setting your profile picture to a GIF designed to invoke
epileptic seizures, but common sense tells you you shouldn't do that.

[^1]: Gitadora AC guitars have a significantly heavier strum bar than things like Guitar Hero Guitars. I don't play Gita enough to know whether this is a fair comparison or not. If it isn't, let me know.
